Package com.salesforce.datacloud.jdbc.interceptor

# Class TokenProcessorSupplier

java.lang.Object
com.salesforce.datacloud.jdbc.interceptor.TokenProcessorSupplier

All Implemented Interfaces:
  `com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor.TokenProvider`

public class TokenProcessorSupplier extends Object implements com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor.TokenProvider
This file is part of https://github.com/forcedotcom/datacloud-jdbc which is released under the Apache 2.0 license. See https://github.com/forcedotcom/datacloud-jdbc/blob/main/LICENSE.txt

## Constructor Summary

Constructors
Constructor
Description
`TokenProcessorSupplier(com.salesforce.datacloud.jdbc.auth.DataCloudTokenProvider tokenProvider)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAudience()`
`String`
`getToken()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TokenProcessorSupplier

public TokenProcessorSupplier(com.salesforce.datacloud.jdbc.auth.DataCloudTokenProvider tokenProvider)

## Method Details

### getToken

public String getToken()

Specified by:
  `getToken` in interface `com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor.TokenProvider`

### getAudience

public String getAudience()

Specified by:
  `getAudience` in interface `com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor.TokenProvider`